Summary: Wrappers to emulate remote access commands (rsh, rlogin, rcp) with ssh.
Name: rsh-sshwrap
Version: 0.1
Release: 2ak
Copyright: GPL
Group: Applications/Internet
Source0: rsh-sshwrap.sh
Obsoletes: rsh
Conflicts: rsh-server
Requires: /bin/sh ssh
Provides: rsh rcp rlogin /usr/bin/rsh /usr/bin/rcp /usr/bin/rlogin
BuildRoot: %{_tmppath}/%{name}-root
Autoreqprov: no
BuildArch: noarch

%description
The rsh package contains a set of programs which allow users to run
commmands on remote machines, login to other machines and copy files
between machines (rsh, rlogin and rcp).  All three of these commands
use rhosts style authentication and are very insecure. This package
contains the wrapper scripts that emulate the client behavior with
ssh. The rsh-sshwrap package should be installed if you have software
that requires the remote access binaries to be named 'rsh', 'rlogin' 
or 'rcp'.

%prep
echo 'no setup needed'

%build
echo 'no build needed'

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
for s in sh login cp ; do \
    sed -e "s,@NAME@,$s,g" \
        -e "s,@VERSION@,%{version},g" \
        ${RPM_SOURCE_DIR}/rsh-sshwrap.sh \
        > ${RPM_BUILD_ROOT}%{_bindir}/r$s ; \
        chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/r$s ; \
        echo ".so man1/s$s.1" | gzip > ${RPM_BUILD_ROOT}%{_mandir}/man1/r$s.1.gz ; \
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/rcp
%{_bindir}/rlogin
%{_bindir}/rsh
%{_mandir}/man1/*.1*


%changelog
* Thu Jun 10 2004 Axel Kohlmeyer <axel.kohlmeyer@rub.de> - 0.1-2ak
- set up to build a noarch package

* Wed Nov 01 2000 Axel Kohlmeyer <axel.kohlmeyer@ruhr-uni-bochum.de>
- initial version of the package created. spec file modeled after
  the original rsh.spec.
